Overview
Comment: | limitlessled_rf v0.1 |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk | 0.1 |
Files: | files | file ages | folders |
SHA3-256: |
1e49925e09881daddb17614381f73c6b |
User & Date: | rkeene on 2020-04-29 00:34:16 |
Other Links: | manifest | tags |
Context
2020-04-29
| ||
00:40 | Rename to upper-case class name check-in: d467fada9d user: rkeene tags: trunk | |
00:34 | limitlessled_rf v0.1 check-in: 1e49925e09 user: rkeene tags: 0.1, trunk | |
2020-04-28
| ||
18:46 | Added README with limited documentation check-in: c50aa58a64 user: rkeene tags: trunk | |
Changes
Modified .fossil-settings/ignore-glob from [c53919e13b] to [54ca2415f1].
|
| | > > > > | 1 2 3 4 5 | limitlessled_rf/__pycache__ dist *.egg-info build/bdist.* build/lib/* |
Added LICENSE version [7d6468881a].
> > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 | Copyright (c) 2020 Roy Keene Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. |
Added build/upload-to-pypi version [ce41d05c47].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 | #! /usr/bin/env bash target="$1" for command in twine python3 mktemp gzip tar fossil rm; do if [ -z "$(command -v "${command}" 2>/dev/null)" ]; then echo "error: Unable to find command \"${command}\"" >&2 exit 1 fi done rootdir="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)" workdir='' function cleanup() { if [ -n "${workdir}" ]; then workdir='' cd / rm -rf "${workdir}" fi return } trap cleanup EXIT set -e workdir="$(mktemp -d)" cd "${rootdir}" fossil tarball current - --name '' | gzip -dc | ( set -e cd "${workdir}" tar -vxf - python3 setup.py sdist bdist_wheel ) ( set -e cd "${workdir}" python3 -m twine upload --repository "${target:-testpypi}" dist/* ) |
Name change from __init__.py to limitlessled_rf/__init__.py.
︙ | ︙ |
Added setup.py version [aa0013ae8a].
> > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 | import setuptools with open("README.md", "r") as fh: long_description = fh.read() setuptools.setup( name="limitlessled_rf", version="0.1", author="Roy Keene", author_email="pypi@rkeene.org", description="Python LimitlessLED via RF", long_description=long_description, long_description_content_type="text/markdown", url="https://chiselapp.com/user/rkeene/repository/limitlessled_rf/", packages=["limitlessled_rf"], package_dir={"":"."}, license="MIT License", classifiers=[ "Programming Language :: Python :: 3", "License :: OSI Approved :: MIT License", "Operating System :: OS Independent", ], python_requires='>=3.6' ) |